/*
    mv: Move/rename a file from. Made for early userspace under klibc.
    Copyright (C) 2008, Aaron Griffin <aaronmgriffin@gmail.com>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include <stdio.h>
#include <errno.h>

int main(int argc, char **argv)
{
	if (argc != 3) {
        fprintf(stderr,"Usage: mv <src> <dest>\n");
        return 1;
	}

    if (rename(argv[1], argv[2]) < 0) {
        perror("mv");
        return errno;
    }
    return 0;
}
/* vi: set sw=4 ts=4: */
